Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder.image
Class TIFFTranscoder

    java.lang.Object
      org.apache.batik.transcoder.TranscoderSupport
          org.apache.batik.transcoder.AbstractTranscoder
              org.apache.batik.transcoder.XMLAbstractTranscoder
                  org.apache.batik.transcoder.SVGAbstractTranscoder
                      org.apache.batik.transcoder.image.ImageTranscoder
                          org.apache.batik.transcoder.image.TIFFTranscoder

All Implemented Interfaces:
  Transcoder

    public class TIFFTranscoder

extends ImageTranscoder

This class is an `ImageTranscoder` that produces a TIFF image.

Nested Class Summary
`static interface` | `TIFFTranscoder.WriteAdapter` This interface is used by `TIFFTranscoder` to write TIFF images through different codecs.

Nested classes/interfaces inherited from class org.apache.batik.transcoder.SVGAbstractTranscoder
`SVGAbstractTranscoder.SVGAbstractTranscoderUserAgent`

Field Summary
`static TranscodingHints.Key` | `KEY_COMPRESSION_METHOD` The compression method for the image.
`static TranscodingHints.Key` | `KEY_FORCE_TRANSPARENT_WHITE` The forceTransparentWhite key.

Fields inherited from class org.apache.batik.transcoder.image.ImageTranscoder
`KEY_BACKGROUND_COLOR`

Fields inherited from class org.apache.batik.transcoder.SVGAbstractTranscoder
`builder, ctx, curAOI, curTxf, DEFAULT_ALLOWED_SCRIPT_TYPES, DEFAULT_DEFAULT_FONT_FAMILY, height, KEY_ALLOWED_SCRIPT_TYPES, KEY_ALTERNATE_STYLESHEET, KEY_AOI, KEY_CONSTRAIN_SCRIPT_ORIGIN, KEY_DEFAULT_FONT_FAMILY, KEY_EXECUTE_ONLOAD, KEY_HEIGHT, KEY_LANGUAGE, KEY_MAX_HEIGHT, KEY_MAX_WIDTH, KEY_MEDIA, KEY_PIXEL_TO_MM, KEY_PIXEL_UNIT_TO_MILLIMETER, KEY_SNAPSHOT_TIME, KEY_USER_STYLESHEET_URI, KEY_WIDTH, root, userAgent, width`

Fields inherited from class org.apache.batik.transcoder.XMLAbstractTranscoder
`KEY_DOCUMENT_ELEMENT, KEY_DOCUMENT_ELEMENT_NAMESPACE_URI, KEY_DOM_IMPLEMENTATION, KEY_XML_PARSER_CLASSNAME, KEY_XML_PARSER_VALIDATING`

Fields inherited from class org.apache.batik.transcoder.TranscoderSupport
`handler, hints`

Constructor Summary
`TIFFTranscoder()` Constructs a new transcoder that produces tiff images.

Method Summary
`BufferedImage` | `createImage(int width, int height)` Creates a new ARGB image with the specified dimension.
`UserAgent` | `getUserAgent()`
`void` | `writeImage(BufferedImage img, TranscoderOutput output)` Writes the specified image to the specified output.

Methods inherited from class org.apache.batik.transcoder.image.ImageTranscoder
`createRenderer, forceTransparentWhite, transcode`

Methods inherited from class org.apache.batik.transcoder.SVGAbstractTranscoder
`createBridgeContext, createBridgeContext, createBridgeContext, createDocumentFactory, createUserAgent, getCanvasGraphicsNode, setImageSize, transcode`

Methods inherited from class org.apache.batik.transcoder.TranscoderSupport
`addTranscodingHint, getErrorHandler, getTranscodingHints, removeTranscodingHint, setErrorHandler, setTranscodingHints, setTranscodingHints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.transcoder.Transcoder
`addTranscodingHint, getErrorHandler, getTranscodingHints, removeTranscodingHint, setErrorHandler, setTranscodingHints, setTranscodingHints`

Field Detail

### KEY_FORCE_TRANSPARENT_WHITE

    public static final TranscodingHints.Key KEY_FORCE_TRANSPARENT_WHITE

  The forceTransparentWhite key.

  Key: | KEY_FORCE_TRANSPARENT_WHITE
  Value: | Boolean
  Default: | false
  Required: | No
  Description: | It controls whether the encoder should force the image's fully transparent pixels to be fully transparent white instead of fully transparent black. This is usefull when the encoded TIFF is displayed in a viewer which does not support TIFF transparency and lets the image display with a white background instead of a black background. However, note that the modified image will display differently over a white background in a viewer that supports transparency.

### KEY_COMPRESSION_METHOD

    public static final TranscodingHints.Key KEY_COMPRESSION_METHOD

  The compression method for the image.

  Key: | KEY_COMPRESSION_METHOD
  Value: | String ("none", "packbits", "jpeg" etc.)
  Default: | "none" (no compression)
  Required: | Recommended
  Description: | Specify the compression method used to encode the image.

Constructor Detail

### TIFFTranscoder

    public TIFFTranscoder()

  Constructs a new transcoder that produces tiff images.

Method Detail

### getUserAgent

    public UserAgent getUserAgent()

  Returns:
    the transcoder's user agent

### createImage

    public BufferedImage createImage(int width,
                                     int height)

  Creates a new ARGB image with the specified dimension.

  Specified by:
    `createImage` in class `ImageTranscoder`
  Parameters:
    `width` - the image width in pixels
    `height` - the image height in pixels

### writeImage

    public void writeImage(BufferedImage img,
                           TranscoderOutput output)
                    throws TranscoderException

  Writes the specified image to the specified output.

  Specified by:
    `writeImage` in class `ImageTranscoder`
  Parameters:
    `img` - the image to write
    `output` - the output where to store the image
  Throws:
    `TranscoderException` - if an error occured while storing the image

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.